View Issue Details

IDProjectCategoryView StatusLast Update
0000899SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.9 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000899: Prevent nodes from syncing with themselves
DescriptionPrevent nodes from syncing with themselves.

Had an issue where a network glitch caused a node to pull itself and re-register with itself. That should not be allowed.
TagsNo tags attached.

Activities

chenson

2012-12-16 12:32

administrator   ~0000150

Prepare for release

Related Changesets

SymmetricDS: master 04c281a1

2012-11-08 18:17:16

chenson

Details Diff
0000899: Prevent nodes from syncing with themselves
0000899
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File

Issue History

Date Modified Username Field Change
2012-11-01 15:13 chenson New Issue
2012-11-01 15:13 chenson Status new => assigned
2012-11-01 15:13 chenson Assigned To => chenson
2012-11-01 15:13 chenson Project SymmetricDS Pro => SymmetricDS
2012-11-08 18:17 chenson Summary Prevent nodes that don't have a defined link from communicating with each other, even if node and node_security rows exist => Prevent nodes from syncing with themselves
2012-11-08 18:17 chenson Description Updated View Revisions
2012-11-08 18:28 chenson Status assigned => resolved
2012-11-08 18:28 chenson Fixed in Version => 3.2.0
2012-11-08 18:28 chenson Resolution open => fixed
2012-12-16 12:32 chenson Note Added: 0000150
2012-12-16 12:32 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6498
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 04c281a1